Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354050 - [abrt] nautilus: gtk_stack_set_visible_child_name(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: gtk_stack_set_visible_child_name(): nautilus killed by SIGSEGV
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 28
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0f5d5c5a63c753e25bc88380be5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 20:25 UTC by Ricardo Ramos
Modified: 2018-04-04 01:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: cgroup (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: core_backtrace (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: dso_list (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: environ (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: exploitable (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: limits (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: maps (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: mountinfo (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: namespaces (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: open_fds (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: proc_pid_status (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details
File: var_log_messages (deleted)
2016-07-08 20:26 UTC, Ricardo Ramos
no flags Details

Description Ricardo Ramos 2016-07-08 20:25:56 UTC
Description of problem:
I changed my google credentials but I forgot to update them in online accounts, so when I tried to access my google drive in nautilus, a popup message appeared saying my credentials expired and then when I clicked "OK" nautilus crashed.

Version-Release number of selected component:
nautilus-3.20.1-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/nautilus
global_pid:     2561
kernel:         4.6.3-300.fc24.i686+PAE
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 gtk_stack_set_visible_child_name at gtkstack.c:1849
 #1 populate_servers at gtk/nautilusgtkplacesview.c:517
 #2 update_places at gtk/nautilusgtkplacesview.c:1117
 #3 volume_mount_ready_cb at gtk/nautilusgtkplacesview.c:1268
 #4 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #5 complete_in_idle_cb at gsimpleasyncresult.c:813
 #9 g_main_context_iteration at gmain.c:3901
 #10 g_application_run at gapplication.c:2381

Comment 1 Ricardo Ramos 2016-07-08 20:26:00 UTC
Created attachment 1177761 [details]
File: backtrace

Comment 2 Ricardo Ramos 2016-07-08 20:26:01 UTC
Created attachment 1177762 [details]
File: cgroup

Comment 3 Ricardo Ramos 2016-07-08 20:26:03 UTC
Created attachment 1177763 [details]
File: core_backtrace

Comment 4 Ricardo Ramos 2016-07-08 20:26:05 UTC
Created attachment 1177764 [details]
File: dso_list

Comment 5 Ricardo Ramos 2016-07-08 20:26:06 UTC
Created attachment 1177765 [details]
File: environ

Comment 6 Ricardo Ramos 2016-07-08 20:26:08 UTC
Created attachment 1177766 [details]
File: exploitable

Comment 7 Ricardo Ramos 2016-07-08 20:26:09 UTC
Created attachment 1177767 [details]
File: limits

Comment 8 Ricardo Ramos 2016-07-08 20:26:11 UTC
Created attachment 1177768 [details]
File: maps

Comment 9 Ricardo Ramos 2016-07-08 20:26:13 UTC
Created attachment 1177769 [details]
File: mountinfo

Comment 10 Ricardo Ramos 2016-07-08 20:26:15 UTC
Created attachment 1177770 [details]
File: namespaces

Comment 11 Ricardo Ramos 2016-07-08 20:26:16 UTC
Created attachment 1177771 [details]
File: open_fds

Comment 12 Ricardo Ramos 2016-07-08 20:26:21 UTC
Created attachment 1177772 [details]
File: proc_pid_status

Comment 13 Ricardo Ramos 2016-07-08 20:26:23 UTC
Created attachment 1177773 [details]
File: var_log_messages

Comment 14 Ricardo Ramos 2017-06-13 17:34:47 UTC
Fedora 24 EOF is getting close and you have checked this bug, I am not going to change my google account password again to test this so I encourage you to test this for me, here are the steps to reproduce the problem:

1. I went to myaccount.google.com

2. Select the option to change the password

3. Go to files and click on the email address to access google drive, click the one with the password changed if you have more than one.

4. An error message should appear and then files closes, after that the gnome-abrt bug notification should popup.

Comment 15 Fedora End Of Life 2017-07-25 21:41:22 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.